Subject: Re: [Gen-art] Gen-ART Last Call Review of draft-ietf-l2vpn-etree-frwk-06

From: Ben Campbell <[email-masked]>
Date: Tue, 5 Aug 2014 15:45:31 -0500

Hi Lucy,

I apologize for the late response. I somehow missed your mail when it came in originally. Comments inline. I've deleted sections where I don't have further comment.

Thanks!

Ben.

On Jul 15, 2014, at 3:18 PM, Lucy yong <[email-masked]> wrote:

[...]

> -- I suggest removing the 2119 language. Ignoring the general controversies over whether informational RFCs should use 2119 language, I don't think it fits for _this_ draft. In particular, all the small number of normative language instances seems to be either statements of fact or restatements of requirements that are defined elsewhere. These would all be better served with descriptive language. 
> [Lucy] OK. I will change as you suggested.
> 

The 2119 language has been removed, but you still have a reference to RFC 2119 in the reference section.

[...]

> 
> 5.2 seems like the same "gap" as discussed in 5.1, just from a perspective of CA role vs forwarding constraint. Handing around constraints vs roles seem more like solution questions than requirements or architecture questions.
> [Lucy] One is assigned the role at AC that impacts the forwarding; another is to convey or advertise the assigned AC role. Since these may relate to different techniques used in L2VPN, it is good to keep them in different sections. 
> 

Okay

[...]

> Nits/editorial comments:
> 
> -- 2.2, 4th paragraph: "Furthermore, MEF also defines AC roles. One
>   role is Root and another is Leaf."
> 
> Are these the same usages as defined in this document? If so, it might be helpful to attribute these in the terminology section.
> [Lucy] We define Root AC and Leaf AC in terminology and use them in the framework. Will that be OK?
> 

My comment was that _this_ document defines the roles, but also says that MEF defines them. If those definitions are the same, then it would useful for the definitions in this draft to mention that the usage is the same as defined by MEF, or say in section 2.2. that MEF defines these terms the same way as this draft.

[...]

---

From: Lucy yong <[email-masked]>
Date: Wed, 6 Aug 2014 14:34:41 +0000

Hi Ben,

See my reply inline w/ [lucy]

[Lucy] No problem.

Thanks!

Ben.

On Jul 15, 2014, at 3:18 PM, Lucy yong <[email-masked]> wrote:

[...]

The 2119 language has been removed, but you still have a reference to RFC 2119 in the reference section.
[Lucy] Sorry. Forget to remove that. We can fix that.

[...]

> [Lucy] One is assigned the role at AC that impacts the forwarding; another is to convey or advertise the assigned AC role. Since these may relate to different techniques used in L2VPN, it is good t…

Okay
[Lucy] good.

[...]

My comment was that _this_ document defines the roles, but also says that MEF defines them. If those definitions are the same, then it would useful for the definitions in this draft to mention that the usage is the same as defined by MEF, or say in section 2.2. that MEF defines these terms the same way as this draft.
[Lucy] Agree. We can clarify that the AC role definition in this doc is the same as the OVC EP role definition in MEF. (OVC EP: Operator virtual connection end point).

Thanks,
Lucy

[...]

---

From: Jari Arkko <[email-masked]>
Date: Thu, 7 Aug 2014 11:00:19 +1200

Thanks for the review, Ben. Looks like the substantive issues have been resolved and the editorial ones are on their way to be fixed. (Thanks Lucy!)

Jari

---

From: Lucy yong <[email-masked]>
Date: Thu, 7 Aug 2014 15:27:39 +0000

Hi Jari,

I have fixed the nits identified by Ben and upload the new version (08).

Thanks,
Lucy 

-----Original Message-----
From: Jari Arkko [mailto:[email-masked]] 
Sent: Wednesday, August 06, 2014 6:00 PM
To: Lucy yong
Cc: Ben Campbell; [email-masked] Team ([email-masked]); [email-masked] list; [email-masked]
Subject: Re: [Gen-art] Gen-ART Last Call Review of draft-ietf-l2vpn-etree-frwk-06

Jari